## tabnet 0.1.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.1.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut", "cre"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al (2019) <arXiv:1908.07442>
    and provides a consistent interface for fitting and creating predictions. It's
    also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Imports: torch, hardhat, magrittr, glue, progress, rlang, methods,
        tibble, vctrs
Suggests: testthat, modeldata, recipes, parsnip, dials, withr, knitr,
        rmarkdown, vip, tidyverse
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-01-11 13:47:17 UTC; dfalbel
Author: Daniel Falbel [aut, cre],
  RStudio [cph]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-14 09:30:02 UTC

## tabnet 0.2.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.2.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut", "cre"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph")),
    person(given = "Christophe", family = "Regouby", role = c("ctb"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al (2019) <arXiv:1908.07442>
    and provides a consistent interface for fitting and creating predictions. It's
    also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.1
URL: https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Imports: torch (>= 0.4.0), hardhat, magrittr, glue, progress, rlang,
        methods, tibble, coro, vctrs
Suggests: testthat, modeldata, recipes, parsnip, dials, withr, knitr,
        rmarkdown, vip, tidyverse, ggplot2, dplyr, tidyr, purrr
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-06-22 20:18:02 UTC; dfalbel
Author: Daniel Falbel [aut, cre],
  RStudio [cph],
  Christophe Regouby [ctb]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-06-22 22:00:02 UTC

## tabnet 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tabnet
 Title: Fit 'TabNet' Models for Classification and Regression
-Version: 0.2.0
+Version: 0.3.0
 Authors@R: c(
     person(given = "Daniel", family = "Falbel", role = c("aut", "cre"), email = "daniel@rstudio.com"),
     person(family = "RStudio", role = c("cph")),
@@ -17,13 +17,15 @@
 Imports: torch (>= 0.4.0), hardhat, magrittr, glue, progress, rlang,
         methods, tibble, coro, vctrs
 Suggests: testthat, modeldata, recipes, parsnip, dials, withr, knitr,
-        rmarkdown, vip, tidyverse, ggplot2, dplyr, tidyr, purrr
+        rmarkdown, vip, tidyverse, ggplot2, dplyr, tidyr, purrr, tune,
+        workflows
 VignetteBuilder: knitr
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2021-06-22 20:18:02 UTC; dfalbel
+Packaged: 2021-10-11 16:28:15 UTC; dfalbel
 Author: Daniel Falbel [aut, cre],
   RStudio [cph],
   Christophe Regouby [ctb]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-06-22 22:00:02 UTC
+Date/Publication: 2021-10-11 17:00:02 UTC

## tabnet 0.4.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.4.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph")),
    person(given = "Christophe", family = "Regouby", role = c("cre", "ctb"), email = "christophe.regouby@free.fr"),
    person(given = "Egill", family = "Fridgeirsson", role = c("ctb")),
    person(given = "Philipp", family = "Haarmeyer", role = c("ctb"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al. (2019) <arXiv:1908.07442>
    and provides a consistent interface for fitting and creating predictions. It's
    also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Imports: torch (>= 0.4.0), hardhat (>= 1.3.0), magrittr, glue,
        progress, rlang, methods, tibble, coro, vctrs
Suggests: testthat (>= 3.0.0), modeldata, recipes, rsample, parsnip,
        dials, withr, knitr, rmarkdown, vip, tidyverse, ggplot2, dplyr,
        tidyr, purrr, stringr, tune, workflows, yardstick
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2023-05-10 07:09:12 UTC; creg
Author: Daniel Falbel [aut],
  RStudio [cph],
  Christophe Regouby [cre, ctb],
  Egill Fridgeirsson [ctb],
  Philipp Haarmeyer [ctb]
Maintainer: Christophe Regouby <christophe.regouby@free.fr>
Repository: CRAN
Date/Publication: 2023-05-11 08:50:02 UTC

## tabnet 0.5.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.5.0
Authors@R: c(
    person(given = "Daniel", family = "Falbel", role = c("aut"), email = "daniel@rstudio.com"),
    person(family = "RStudio", role = c("cph")),
    person(given = "Christophe", family = "Regouby", role = c("cre", "ctb"), email = "christophe.regouby@free.fr"),
    person(given = "Egill", family = "Fridgeirsson", role = c("ctb")),
    person(given = "Philipp", family = "Haarmeyer", role = c("ctb")),
    person(given = "Sven", family = "Verweij", role = c("ctb"),  comment = c(ORCID = "0000-0002-5573-3952"))
    )
Description: Implements the 'TabNet' model by Sercan O. Arik et al. (2019) <arXiv:1908.07442> 
    with 'Coherent Hierarchical Multi-label Classification Networks' by Giunchiglia et al.
    <arXiv:2010.10151> and provides a consistent interface for fitting and creating 
    predictions. It's also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
URL: https://mlverse.github.io/tabnet/,
        https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Depends: R (>= 3.6)
Imports: torch (>= 0.4.0), hardhat (>= 1.3.0), magrittr, progress,
        rlang, methods, dplyr, tibble, tidyr, coro, vctrs, zeallot
Suggests: testthat (>= 3.0.0), data.tree, Matrix, modeldata, recipes,
        rsample, parsnip, dials, withr, knitr, rmarkdown, vip,
        tidyverse, ggplot2, purrr, stringr, tune, workflows, yardstick
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: false
Config/testthat/start-first: interface, explain, params
NeedsCompilation: no
Packaged: 2023-12-05 00:32:16 UTC; creg
Author: Daniel Falbel [aut],
  RStudio [cph],
  Christophe Regouby [cre, ctb],
  Egill Fridgeirsson [ctb],
  Philipp Haarmeyer [ctb],
  Sven Verweij [ctb] (<https://orcid.org/0000-0002-5573-3952>)
Maintainer: Christophe Regouby <christophe.regouby@free.fr>
Repository: CRAN
Date/Publication: 2023-12-05 10:00:02 UTC

## tabnet 0.6.0

=== DESCRIPTION ===
Package: tabnet
Title: Fit 'TabNet' Models for Classification and Regression
Version: 0.6.0
Authors@R: c(
    person("Daniel", "Falbel", , "daniel@rstudio.com", role = "aut"),
    person(, "RStudio", role = "cph"),
    person("Christophe", "Regouby", , "christophe.regouby@free.fr", role = c("cre", "ctb")),
    person("Egill", "Fridgeirsson", role = "ctb"),
    person("Philipp", "Haarmeyer", role = "ctb"),
    person("Sven", "Verweij", role = "ctb",
           comment = c(ORCID = "0000-0002-5573-3952"))
  )
Description: Implements the 'TabNet' model by Sercan O. Arik et al. (2019)
    <doi:10.48550/arXiv.1908.07442> with 'Coherent Hierarchical Multi-label
    Classification Networks' by Giunchiglia et al.  <doi:10.48550/arXiv.2010.10151> and
    provides a consistent interface for fitting and creating predictions.
    It's also fully compatible with the 'tidymodels' ecosystem.
License: MIT + file LICENSE
URL: https://mlverse.github.io/tabnet/,
        https://github.com/mlverse/tabnet
BugReports: https://github.com/mlverse/tabnet/issues
Depends: R (>= 3.6)
Imports: coro, data.tree, dials, dplyr, ggplot2, hardhat (>= 1.3.0),
        magrittr, Matrix, methods, parsnip, progress, purrr, rlang,
        stats, stringr, tibble, tidyr, torch (>= 0.4.0), tune, utils,
        vctrs, withr, zeallot
Suggests: knitr, modeldata, patchwork, recipes, rmarkdown, rsample,
        spelling, testthat (>= 3.0.0), tidymodels, tidyverse, vip,
        visdat, workflows, yardstick
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: interface, explain, params
Encoding: UTF-8
RoxygenNote: 7.3.1
Language: en-US
NeedsCompilation: no
Packaged: 2024-06-15 17:48:01 UTC; creg
Author: Daniel Falbel [aut],
  RStudio [cph],
  Christophe Regouby [cre, ctb],
  Egill Fridgeirsson [ctb],
  Philipp Haarmeyer [ctb],
  Sven Verweij [ctb] (<https://orcid.org/0000-0002-5573-3952>)
Maintainer: Christophe Regouby <christophe.regouby@free.fr>
Repository: CRAN
Date/Publication: 2024-06-15 18:20:02 UTC

## tabnet 0.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tabnet
 Title: Fit 'TabNet' Models for Classification and Regression
-Version: 0.6.0
+Version: 0.7.0
 Authors@R: c(
     person("Daniel", "Falbel", , "daniel@rstudio.com", role = "aut"),
     person(, "RStudio", role = "cph"),
@@ -24,18 +24,18 @@
         magrittr, Matrix, methods, parsnip, progress, purrr, rlang,
         stats, stringr, tibble, tidyr, torch (>= 0.4.0), tune, utils,
         vctrs, withr, zeallot
-Suggests: knitr, modeldata, patchwork, recipes, rmarkdown, rsample,
-        spelling, testthat (>= 3.0.0), tidymodels, tidyverse, vip,
-        visdat, workflows, yardstick
+Suggests: cli, knitr, modeldata, patchwork, recipes, rmarkdown,
+        rsample, spelling, testthat (>= 3.0.0), tidymodels, tidyverse,
+        vip, visdat, workflows, yardstick
 VignetteBuilder: knitr
 Config/testthat/edition: 3
-Config/testthat/parallel: true
+Config/testthat/parallel: false
 Config/testthat/start-first: interface, explain, params
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 Language: en-US
 NeedsCompilation: no
-Packaged: 2024-06-15 17:48:01 UTC; creg
+Packaged: 2025-04-16 22:08:41 UTC; creg
 Author: Daniel Falbel [aut],
   RStudio [cph],
   Christophe Regouby [cre, ctb],
@@ -44,4 +44,4 @@
   Sven Verweij [ctb] (<https://orcid.org/0000-0002-5573-3952>)
 Maintainer: Christophe Regouby <christophe.regouby@free.fr>
 Repository: CRAN
-Date/Publication: 2024-06-15 18:20:02 UTC
+Date/Publication: 2025-04-17 00:10:02 UTC

## tabnet 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tabnet
 Title: Fit 'TabNet' Models for Classification and Regression
-Version: 0.7.0
+Version: 0.8.0
 Authors@R: c(
     person("Daniel", "Falbel", , "daniel@rstudio.com", role = "aut"),
     person(, "RStudio", role = "cph"),
@@ -24,24 +24,24 @@
         magrittr, Matrix, methods, parsnip, progress, purrr, rlang,
         stats, stringr, tibble, tidyr, torch (>= 0.4.0), tune, utils,
         vctrs, withr, zeallot
-Suggests: cli, knitr, modeldata, patchwork, recipes, rmarkdown,
+Suggests: cli, knitr, modeldata, patchwork, quarto, recipes, rmarkdown,
         rsample, spelling, testthat (>= 3.0.0), tidymodels, tidyverse,
-        vip, visdat, workflows, yardstick
+        vip, visdat, workflows, xgboost, yardstick
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 Config/testthat/parallel: false
 Config/testthat/start-first: interface, explain, params
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Language: en-US
 NeedsCompilation: no
-Packaged: 2025-04-16 22:08:41 UTC; creg
+Packaged: 2026-01-31 15:01:51 UTC; creg
 Author: Daniel Falbel [aut],
   RStudio [cph],
   Christophe Regouby [cre, ctb],
   Egill Fridgeirsson [ctb],
   Philipp Haarmeyer [ctb],
-  Sven Verweij [ctb] (<https://orcid.org/0000-0002-5573-3952>)
+  Sven Verweij [ctb] (ORCID: <https://orcid.org/0000-0002-5573-3952>)
 Maintainer: Christophe Regouby <christophe.regouby@free.fr>
 Repository: CRAN
-Date/Publication: 2025-04-17 00:10:02 UTC
+Date/Publication: 2026-01-31 15:40:02 UTC

## tabnet 4.1.0%2Bds

=== debian/control ===
Source: tabnet
Section: python
Priority: optional
Maintainer: Debian Pan Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-python
 , pybuild-plugin-pyproject
 , python3-all
 , python3-poetry
 , python3-setuptools
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Vcs-Browser: https://salsa.debian.org/debian/tabnet
Vcs-Git: https://salsa.debian.org/debian/tabnet.git
Homepage: https://github.com/dreamquark-ai/tabnet
Rules-Requires-Root: no

Package: python3-tabnet
Architecture: all
Depends: ${misc:Depends}
 , python3-numpy
 , python3-scipy
 , python3-sklearn
 , python3-torch-cuda | python3-torch
 , python3-tqdm
 , python3:any
Description: Attentive Interpretable Tabular Learning
 python3-tabnet is a pyTorch implementation of Tabnet (TabNet: Attentive
 Interpretable Tabular Learning, https://arxiv.org/pdf/1908.07442.pdf).
 Please note that some different choices have been made overtime to improve
 the library which can differ from the orginal paper.

## tabnet 4.1.0+ds

=== Makefile ===
# set default shell
SHELL := $(shell which bash)
FOLDER=$$(pwd)
# for Windows users
# FOLDER=$(CURDIR)
# default shell options
.SHELLFLAGS = -c
NO_COLOR=\\e[39m
OK_COLOR=\\e[32m
ERROR_COLOR=\\e[31m
WARN_COLOR=\\e[33m
PORT=8887
.SILENT: ;
default: help;   # default target

IMAGE_NAME=tabnet:latest
IMAGE_RELEASER_NAME=release-changelog:latest
NOTEBOOKS_DIR=/work

DOCKER_RUN = docker run  --rm  -v ${FOLDER}:/work -w /work --entrypoint bash -lc ${IMAGE_NAME} -c

prepare-release: build build-releaser ## Prepare release branch with changelog for given version
	./release-script/prepare-release.sh
.PHONY: prepare-release

do-release: build build-releaser ## Prepare release branch with changelog for given version
	./release-script/do-release.sh
.PHONY: do-release

build-releaser: ## Build docker image for releaser
	echo "Building Dockerfile"
	docker build -f ./release-script/Dockerfile_changelog -t ${IMAGE_RELEASER_NAME} .
.PHONY: build

build: ## Build docker image
	echo "Building Dockerfile"
	docker build -t ${IMAGE_NAME} .
.PHONY: build

build-gpu: ## Build docker image
	echo "Building Dockerfile"
	docker build -t ${IMAGE_NAME} . -f Dockerfile_gpu
.PHONY: build-gpu

start: build ## Start docker container
	echo "Starting container ${IMAGE_NAME}"
	docker run --shm-size="32gb" --rm -it -v ${FOLDER}:/work -w /work -p ${PORT}:${PORT} -e "JUPYTER_PORT=${PORT}" ${IMAGE_NAME}
.PHONY: start

start-gpu: build-gpu ## Start docker container
	echo "Starting container ${IMAGE_NAME}"
	docker run --runtime nvidia --shm-size="32gb" --rm -it -v ${FOLDER}:/work -w /work -p ${PORT}:${PORT} -e "JUPYTER_PORT=${PORT}" ${IMAGE_NAME}
.PHONY: start-gpu

install: build ## Install dependencies
	$(DOCKER_RUN) 'poetry install'
.PHONY: install

lint: ## Check lint
	$(DOCKER_RUN) 'poetry run flake8'
.PHONY: lint

notebook: ## Start the Jupyter notebook
	poetry run jupyter notebook --allow-root --ip 0.0.0.0 --port ${PORT} --no-browser --notebook-dir .
.PHONY: notebook

root_bash: ## Start a root bash inside the container
	docker exec -it --user root $$(docker ps --filter ancestor=${IMAGE_NAME} --filter expose=${PORT} -q) bash
.PHONY: root_bash

_run_notebook:
	set -e
	echo "$(NB_FILE)" | xargs -n1 -I {} echo "poetry run jupyter nbconvert --to=script $(NOTEBOOKS_DIR)/{} || exit 1"  | sh
	echo "$(NB_FILE)" | xargs -n1 -I {} echo "echo 'Running {}' && poetry run ipython $(NOTEBOOKS_DIR)/{} && echo 'Notebook $(NOTEBOOKS_DIR)/{} OK' || exit 1"  | sed 's/.ipynb/.py/' | sh
	echo "$(NB_FILE)" | sed 's/.ipynb/.py/' | xargs -n1 -I {} echo "echo 'Cleaning up $(NOTEBOOKS_DIR)/{}' && rm $(NOTEBOOKS_DIR)/{} || exit 1"  | sh
.PHONY: _run_notebook

doc: build ## Build and generate docs
	$(DOCKER_RUN) 'cd ./docs-scripts && ./rst_generator.sh'
	$(DOCKER_RUN) 'poetry run sphinx-build ./docs-scripts/source ./docs -b html'
	$(DOCKER_RUN) 'touch ./docs/.nojekyll'
.PHONY: doc

test-nb-census: ## run census income tests using notebooks
	$(MAKE) _run_notebook NB_FILE="./census_example.ipynb"
.PHONY: test-nb-census

test-nb-forest: ## run census income tests using notebooks
	$(MAKE) _run_notebook NB_FILE="./forest_example.ipynb"
.PHONY: test-nb-forest

test-nb-regression: ## run regression example tests using notebooks
	$(MAKE) _run_notebook NB_FILE="./regression_example.ipynb"
.PHONY: test-nb-regression

test-nb-multi-regression: ## run multi regression example tests using notebooks
	$(MAKE) _run_notebook NB_FILE="./multi_regression_example.ipynb"
.PHONY: test-nb-multi-regression

test-nb-multi-task: ## run multi task classification example tests using notebooks
	        $(MAKE) _run_notebook NB_FILE="./multi_task_example.ipynb"
.PHONY: test-nb-multi-task

test-nb-customization: ## run customization example tests using notebooks
	        $(MAKE) _run_notebook NB_FILE="./customizing_example.ipynb"
.PHONY: test-nb-customization

test-nb-pretraining: ## run customization example tests using notebooks
	        $(MAKE) _run_notebook NB_FILE="./pretraining_example.ipynb"
.PHONY: test-nb-pretraining

unit-tests: ## run all unitary tests
	poetry run pytest -s tests/
.PHONY: unit-tests

help: ## Display help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
.PHONY: help

=== debian/changelog ===
tabnet (4.1.0+ds-2) unstable; urgency=medium

  * Expand dependencies and add python3-torch-cuda as an alternative to
    python3-torch

 -- Yadd <yadd@debian.org>  Thu, 30 May 2024 07:07:19 +0400

tabnet (4.1.0+ds-1) unstable; urgency=low

  * Initial release (Closes: #1070408)

 -- Yadd <yadd@debian.org>  Sun, 05 May 2024 13:57:30 +0400

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=tabnet
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/dreamquark-ai/tabnet/tags .*/archive/.*/v?([\d\.]+).tar.gz
